Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/14
Addresses2^114
/64 networks2^50
Network
2ea8::/14
First address
2ea8::
Last address
2eab:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
20,769,187,434,139,310,514,121,985,316,880,384 (2^114)
/64 networks (LANs)
1,125,899,906,842,624 (2^50)
Full form
2ea8:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
8.a.e.2.ip6.arpa
9.a.e.2.ip6.arpa
a.a.e.2.ip6.arpa
b.a.e.2.ip6.arpa
/14 is not on a 4-bit boundary, so it takes 4 /16 zones.
Split into smaller subnets/28

2ea8::/14 makes 16,384 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12ea8::/282ea8:f:ffff:ffff:ffff:ffff:ffff:ffff
22ea8:10::/282ea8:1f:ffff:ffff:ffff:ffff:ffff:ffff
32ea8:20::/282ea8:2f:ffff:ffff:ffff:ffff:ffff:ffff
42ea8:30::/282ea8:3f:ffff:ffff:ffff:ffff:ffff:ffff
52ea8:40::/282ea8:4f:ffff:ffff:ffff:ffff:ffff:ffff
62ea8:50::/282ea8:5f:ffff:ffff:ffff:ffff:ffff:ffff
72ea8:60::/282ea8:6f:ffff:ffff:ffff:ffff:ffff:ffff
82ea8:70::/282ea8:7f:ffff:ffff:ffff:ffff:ffff:ffff
92ea8:80::/282ea8:8f:ffff:ffff:ffff:ffff:ffff:ffff
102ea8:90::/282ea8:9f:ffff:ffff:ffff:ffff:ffff:ffff
112ea8:a0::/282ea8:af:ffff:ffff:ffff:ffff:ffff:ffff
122ea8:b0::/282ea8:bf:ffff:ffff:ffff:ffff:ffff:ffff
132ea8:c0::/282ea8:cf:ffff:ffff:ffff:ffff:ffff:ffff
142ea8:d0::/282ea8:df:ffff:ffff:ffff:ffff:ffff:ffff
152ea8:e0::/282ea8:ef:ffff:ffff:ffff:ffff:ffff:ffff
162ea8:f0::/282ea8:ff:ffff:ffff:ffff:ffff:ffff:ffff
172ea8:100::/282ea8:10f:ffff:ffff:ffff:ffff:ffff:ffff
182ea8:110::/282ea8:11f:ffff:ffff:ffff:ffff:ffff:ffff
192ea8:120::/282ea8:12f:ffff:ffff:ffff:ffff:ffff:ffff
202ea8:130::/282ea8:13f:ffff:ffff:ffff:ffff:ffff:ffff
212ea8:140::/282ea8:14f:ffff:ffff:ffff:ffff:ffff:ffff
222ea8:150::/282ea8:15f:ffff:ffff:ffff:ffff:ffff:ffff
232ea8:160::/282ea8:16f:ffff:ffff:ffff:ffff:ffff:ffff
242ea8:170::/282ea8:17f:ffff:ffff:ffff:ffff:ffff:ffff
252ea8:180::/282ea8:18f:ffff:ffff:ffff:ffff:ffff:ffff
262ea8:190::/282ea8:19f:ffff:ffff:ffff:ffff:ffff:ffff
272ea8:1a0::/282ea8:1af:ffff:ffff:ffff:ffff:ffff:ffff
282ea8:1b0::/282ea8:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292ea8:1c0::/282ea8:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302ea8:1d0::/282ea8:1df:ffff:ffff:ffff:ffff:ffff:ffff
312ea8:1e0::/282ea8:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322ea8:1f0::/282ea8:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332ea8:200::/282ea8:20f:ffff:ffff:ffff:ffff:ffff:ffff
342ea8:210::/282ea8:21f:ffff:ffff:ffff:ffff:ffff:ffff
352ea8:220::/282ea8:22f:ffff:ffff:ffff:ffff:ffff:ffff
362ea8:230::/282ea8:23f:ffff:ffff:ffff:ffff:ffff:ffff
372ea8:240::/282ea8:24f:ffff:ffff:ffff:ffff:ffff:ffff
382ea8:250::/282ea8:25f:ffff:ffff:ffff:ffff:ffff:ffff
392ea8:260::/282ea8:26f:ffff:ffff:ffff:ffff:ffff:ffff
402ea8:270::/282ea8:27f:ffff:ffff:ffff:ffff:ffff:ffff
412ea8:280::/282ea8:28f:ffff:ffff:ffff:ffff:ffff:ffff
422ea8:290::/282ea8:29f:ffff:ffff:ffff:ffff:ffff:ffff
432ea8:2a0::/282ea8:2af:ffff:ffff:ffff:ffff:ffff:ffff
442ea8:2b0::/282ea8:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452ea8:2c0::/282ea8:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462ea8:2d0::/282ea8:2df:ffff:ffff:ffff:ffff:ffff:ffff
472ea8:2e0::/282ea8:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482ea8:2f0::/282ea8:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492ea8:300::/282ea8:30f:ffff:ffff:ffff:ffff:ffff:ffff
502ea8:310::/282ea8:31f:ffff:ffff:ffff:ffff:ffff:ffff
512ea8:320::/282ea8:32f:ffff:ffff:ffff:ffff:ffff:ffff
522ea8:330::/282ea8:33f:ffff:ffff:ffff:ffff:ffff:ffff
532ea8:340::/282ea8:34f:ffff:ffff:ffff:ffff:ffff:ffff
542ea8:350::/282ea8:35f:ffff:ffff:ffff:ffff:ffff:ffff
552ea8:360::/282ea8:36f:ffff:ffff:ffff:ffff:ffff:ffff
562ea8:370::/282ea8:37f:ffff:ffff:ffff:ffff:ffff:ffff
572ea8:380::/282ea8:38f:ffff:ffff:ffff:ffff:ffff:ffff
582ea8:390::/282ea8:39f:ffff:ffff:ffff:ffff:ffff:ffff
592ea8:3a0::/282ea8:3af:ffff:ffff:ffff:ffff:ffff:ffff
602ea8:3b0::/282ea8:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612ea8:3c0::/282ea8:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622ea8:3d0::/282ea8:3df:ffff:ffff:ffff:ffff:ffff:ffff
632ea8:3e0::/282ea8:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642ea8:3f0::/282ea8:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652ea8:400::/282ea8:40f:ffff:ffff:ffff:ffff:ffff:ffff
662ea8:410::/282ea8:41f:ffff:ffff:ffff:ffff:ffff:ffff
672ea8:420::/282ea8:42f:ffff:ffff:ffff:ffff:ffff:ffff
682ea8:430::/282ea8:43f:ffff:ffff:ffff:ffff:ffff:ffff
692ea8:440::/282ea8:44f:ffff:ffff:ffff:ffff:ffff:ffff
702ea8:450::/282ea8:45f:ffff:ffff:ffff:ffff:ffff:ffff
712ea8:460::/282ea8:46f:ffff:ffff:ffff:ffff:ffff:ffff
722ea8:470::/282ea8:47f:ffff:ffff:ffff:ffff:ffff:ffff
732ea8:480::/282ea8:48f:ffff:ffff:ffff:ffff:ffff:ffff
742ea8:490::/282ea8:49f:ffff:ffff:ffff:ffff:ffff:ffff
752ea8:4a0::/282ea8:4af:ffff:ffff:ffff:ffff:ffff:ffff
762ea8:4b0::/282ea8:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772ea8:4c0::/282ea8:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782ea8:4d0::/282ea8:4df:ffff:ffff:ffff:ffff:ffff:ffff
792ea8:4e0::/282ea8:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802ea8:4f0::/282ea8:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812ea8:500::/282ea8:50f:ffff:ffff:ffff:ffff:ffff:ffff
822ea8:510::/282ea8:51f:ffff:ffff:ffff:ffff:ffff:ffff
832ea8:520::/282ea8:52f:ffff:ffff:ffff:ffff:ffff:ffff
842ea8:530::/282ea8:53f:ffff:ffff:ffff:ffff:ffff:ffff
852ea8:540::/282ea8:54f:ffff:ffff:ffff:ffff:ffff:ffff
862ea8:550::/282ea8:55f:ffff:ffff:ffff:ffff:ffff:ffff
872ea8:560::/282ea8:56f:ffff:ffff:ffff:ffff:ffff:ffff
882ea8:570::/282ea8:57f:ffff:ffff:ffff:ffff:ffff:ffff
892ea8:580::/282ea8:58f:ffff:ffff:ffff:ffff:ffff:ffff
902ea8:590::/282ea8:59f:ffff:ffff:ffff:ffff:ffff:ffff
912ea8:5a0::/282ea8:5af:ffff:ffff:ffff:ffff:ffff:ffff
922ea8:5b0::/282ea8:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932ea8:5c0::/282ea8:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942ea8:5d0::/282ea8:5df:ffff:ffff:ffff:ffff:ffff:ffff
952ea8:5e0::/282ea8:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962ea8:5f0::/282ea8:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972ea8:600::/282ea8:60f:ffff:ffff:ffff:ffff:ffff:ffff
982ea8:610::/282ea8:61f:ffff:ffff:ffff:ffff:ffff:ffff
992ea8:620::/282ea8:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002ea8:630::/282ea8:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012ea8:640::/282ea8:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022ea8:650::/282ea8:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032ea8:660::/282ea8:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042ea8:670::/282ea8:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052ea8:680::/282ea8:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062ea8:690::/282ea8:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072ea8:6a0::/282ea8:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082ea8:6b0::/282ea8:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092ea8:6c0::/282ea8:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102ea8:6d0::/282ea8:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112ea8:6e0::/282ea8:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122ea8:6f0::/282ea8:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132ea8:700::/282ea8:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142ea8:710::/282ea8:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152ea8:720::/282ea8:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162ea8:730::/282ea8:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172ea8:740::/282ea8:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182ea8:750::/282ea8:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192ea8:760::/282ea8:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202ea8:770::/282ea8:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212ea8:780::/282ea8:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222ea8:790::/282ea8:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232ea8:7a0::/282ea8:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242ea8:7b0::/282ea8:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252ea8:7c0::/282ea8:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262ea8:7d0::/282ea8:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272ea8:7e0::/282ea8:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282ea8:7f0::/282ea8:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292ea8:800::/282ea8:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302ea8:810::/282ea8:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312ea8:820::/282ea8:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322ea8:830::/282ea8:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332ea8:840::/282ea8:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342ea8:850::/282ea8:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352ea8:860::/282ea8:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362ea8:870::/282ea8:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372ea8:880::/282ea8:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382ea8:890::/282ea8:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392ea8:8a0::/282ea8:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402ea8:8b0::/282ea8:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412ea8:8c0::/282ea8:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422ea8:8d0::/282ea8:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432ea8:8e0::/282ea8:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442ea8:8f0::/282ea8:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452ea8:900::/282ea8:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462ea8:910::/282ea8:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472ea8:920::/282ea8:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482ea8:930::/282ea8:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492ea8:940::/282ea8:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502ea8:950::/282ea8:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512ea8:960::/282ea8:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522ea8:970::/282ea8:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532ea8:980::/282ea8:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542ea8:990::/282ea8:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552ea8:9a0::/282ea8:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562ea8:9b0::/282ea8:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572ea8:9c0::/282ea8:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582ea8:9d0::/282ea8:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592ea8:9e0::/282ea8:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602ea8:9f0::/282ea8:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612ea8:a00::/282ea8:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622ea8:a10::/282ea8:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632ea8:a20::/282ea8:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642ea8:a30::/282ea8:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652ea8:a40::/282ea8:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662ea8:a50::/282ea8:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672ea8:a60::/282ea8:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682ea8:a70::/282ea8:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692ea8:a80::/282ea8:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702ea8:a90::/282ea8:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712ea8:aa0::/282ea8:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722ea8:ab0::/282ea8:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732ea8:ac0::/282ea8:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742ea8:ad0::/282ea8:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752ea8:ae0::/282ea8:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762ea8:af0::/282ea8:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772ea8:b00::/282ea8:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782ea8:b10::/282ea8:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792ea8:b20::/282ea8:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802ea8:b30::/282ea8:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812ea8:b40::/282ea8:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822ea8:b50::/282ea8:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832ea8:b60::/282ea8:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842ea8:b70::/282ea8:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852ea8:b80::/282ea8:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862ea8:b90::/282ea8:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872ea8:ba0::/282ea8:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882ea8:bb0::/282ea8:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892ea8:bc0::/282ea8:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902ea8:bd0::/282ea8:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912ea8:be0::/282ea8:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922ea8:bf0::/282ea8:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932ea8:c00::/282ea8:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942ea8:c10::/282ea8:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952ea8:c20::/282ea8:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962ea8:c30::/282ea8:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972ea8:c40::/282ea8:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982ea8:c50::/282ea8:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992ea8:c60::/282ea8:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002ea8:c70::/282ea8:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012ea8:c80::/282ea8:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022ea8:c90::/282ea8:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032ea8:ca0::/282ea8:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042ea8:cb0::/282ea8:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052ea8:cc0::/282ea8:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062ea8:cd0::/282ea8:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072ea8:ce0::/282ea8:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082ea8:cf0::/282ea8:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092ea8:d00::/282ea8:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102ea8:d10::/282ea8:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112ea8:d20::/282ea8:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122ea8:d30::/282ea8:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132ea8:d40::/282ea8:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142ea8:d50::/282ea8:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152ea8:d60::/282ea8:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162ea8:d70::/282ea8:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172ea8:d80::/282ea8:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182ea8:d90::/282ea8:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192ea8:da0::/282ea8:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202ea8:db0::/282ea8:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212ea8:dc0::/282ea8:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222ea8:dd0::/282ea8:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232ea8:de0::/282ea8:def:ffff:ffff:ffff:ffff:ffff:ffff
2242ea8:df0::/282ea8:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252ea8:e00::/282ea8:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262ea8:e10::/282ea8:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272ea8:e20::/282ea8:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282ea8:e30::/282ea8:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292ea8:e40::/282ea8:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302ea8:e50::/282ea8:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312ea8:e60::/282ea8:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322ea8:e70::/282ea8:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332ea8:e80::/282ea8:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342ea8:e90::/282ea8:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352ea8:ea0::/282ea8:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362ea8:eb0::/282ea8:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372ea8:ec0::/282ea8:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382ea8:ed0::/282ea8:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392ea8:ee0::/282ea8:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402ea8:ef0::/282ea8:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412ea8:f00::/282ea8:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422ea8:f10::/282ea8:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432ea8:f20::/282ea8:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442ea8:f30::/282ea8:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452ea8:f40::/282ea8:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462ea8:f50::/282ea8:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472ea8:f60::/282ea8:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482ea8:f70::/282ea8:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492ea8:f80::/282ea8:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502ea8:f90::/282ea8:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512ea8:fa0::/282ea8:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522ea8:fb0::/282ea8:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532ea8:fc0::/282ea8:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542ea8:fd0::/282ea8:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552ea8:fe0::/282ea8:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562ea8:ff0::/282ea8:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses